Package: groovy.util.logging

## [Java] Annotation Type Log4j2

- groovy.util.logging.Log4j2

- This local transform adds a logging ability to your program using Log4j2 logging. Every method call on a unbound variable named log will be mapped to a call to the logger. For this a log field will be inserted in the class. If the field already exists the usage of this transform will cause a compilation error. The method name will be used to determine what to call on the logger.

       log.name(exp)

  is mapped to

       if (log.isNameEnabled() {
          log.name(exp)
       }

  Here name is a place holder for info, debug, warning, error, etc. If the expression exp is a constant or only a variable access the method call will not be transformed. But this will still cause a call on the injected logger.
  Since:
    2.2.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `Log4j2.Log4j2LoggingStrategy` |

  - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `String` | `category` @default LogASTTransformation.DEFAULT_CATEGORY_NAME
    `Class<? extends def>` | `loggingStrategy` @default Log4j2LoggingStrategy.class
    `String` | `value` @default "log"

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Element Detail

    - #### public String category

      @default LogASTTransformation.DEFAULT_CATEGORY_NAME

    - #### public Class<? extends def> loggingStrategy

      @default Log4j2LoggingStrategy.class

    - #### public String value

      @default "log"